Unit tml04r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ML04R_p;

function tml04r: String;

implementation

function tml04r: String;
var
P,KV,_i :Integer;
EPS :Real;
AMS :Array [0..0] of Integer;
NX :Array [0..4] of Integer;
XK :Array [0..4] of Real;
U :Array [0..24] of Real;
const
A :Array [0..19] of Real = ( 1.0,2.0,1.0,1.0,-4.0,2.0,1.0,2.0,2.0,-5.0,3.0,
5.0,1.0,3.0,-9.0,0.0,0.0,1.0,-1.0,-1.0 );
X :Array [0..4] of Real = ( 15.0,20.0,10.0,0.0,-45.0 );
ALFA :Array [0..1] of Real = ( 2.0,3.0 );
NALFA :Array [0..1] of Integer = ( 1,3 );
begin
Result := '';  {   }
KV := 2;
P := 1;
EPS := 0.01;
ML04R(A,5,U,4,X,P,EPS,AMS,XK,
     ALFA,KV,NALFA,NX);
Result := Result + Format('%s',[' NX(1)=']);
Result := Result + Format('%1d ',[NX[0]]);
Result := Result + Format('%s',['  NX(2)=']);
Result := Result + Format('%1d ',[NX[1]]);
Result := Result + Format('%s',['  NX(3)=']);
Result := Result + Format('%1d ',[NX[2]]);
Result := Result + Format('%s',[' P=']);
Result := Result + Format('%1d ',[P]);
Result := Result + Format('%s',['   NALFA(1)=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%5d ',[NALFA[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[X[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tml04r',Result);  {     tml04r.res }
exit;
end;

end.
